LfmCovarianceParameterization Class Referenceabstract

Libor market model parameterization More...

`#include <ql/legacy/libormarketmodels/lfmcovarparam.hpp>`

Inheritance diagram for LfmCovarianceParameterization:
[legend]

## Public Member Functions

| LfmCovarianceParameterization (Size size, Size factors)
Size | size () const
Size | factors () const
virtual Disposable< Matrix > | diffusion (Time t, const Array &x=Null< Array >()) const =0
virtual Disposable< Matrix > | covariance (Time t, const Array &x=Null< Array >()) const
virtual Disposable< Matrix > | integratedCovariance (Time t, const Array &x=Null< Array >()) const

## Protected Attributes

const Size | size_
const Size | factors_

## Detailed Description

Libor market model parameterization

Brigo, Damiano, Mercurio, Fabio, Morini, Massimo, 2003, Different Covariance Parameterizations of the Libor Market Model and Joint Caps/Swaptions Calibration (http://www.exoticderivatives.com/Files/Papers/brigomercuriomorini.pdf)